package be.iminds.jfed.gts_highlevel;

import be.iminds.ilabt.jfed.preferences.JFedPreferences;
import be.iminds.ilabt.jfed.util.OSDetector;

/**
 * User: twalcari
 * Date: 12/23/2015
 * Time: 12:16
 */
public enum GtsPreferenceKey implements JFedPreferences.PreferenceKey  {
    PREF_GTS_ENDPOINT("gts.endpoint"),
        ;

    private final String key;
    GtsPreferenceKey(String key) {
        this.key = key;
    }
    @Override
    public String getKey() {
        return key;
    }

    @Override
    public boolean isOSSpecific() {
        return false;
    }

    @Override
    public OSDetector.OSFilter getOSFilter() {
        return null;
    }
}
